Bug 1905784 (CVE-2020-27832) - CVE-2020-27832 quay: persistent XSS in repository notification display
Summary: CVE-2020-27832 quay: persistent XSS in repository notification display
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-27832
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1939572 1902795
TreeView+ depends on / blocked
 
Reported: 2020-12-09 04:17 UTC by Jason Shepherd
Modified: 2021-06-30 00:29 UTC (History)
4 users (show)

See Also:
Fixed In Version: quay 3.3.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Red Hat Quay, where it has a persistent Cross-site Scripting (XSS) vulnerability when displaying a repository's notification. This flaw allows an attacker to trick a user into performing a malicious action to impersonate the target user. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-01-11 12:27:51 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0050 0 None None None 2021-01-11 07:33:31 UTC

Description Jason Shepherd 2020-12-09 04:17:04 UTC
Red Hat Quay has a persistent XSS vulnerability when displaying a repositories email notification. An attacker who can trick a user into performing a malicious action can use this flaw to impersonate the target user.

Comment 3 Jason Shepherd 2020-12-10 00:39:04 UTC
Upstream commit:

https://github.com/quay/quay/pull/613

Comment 4 Jason Shepherd 2020-12-10 01:21:43 UTC
Acknowledgments:

Name: Chen Cohen (eBay)

Comment 5 lnacshon 2020-12-10 11:51:06 UTC
Issue already tracked here https://issues.redhat.com/browse/PROJQUAY-1344.
Our recommendation is to add input validation and sanitization to all user inputs in the service.

Comment 7 errata-xmlrpc 2021-01-11 07:33:30 UTC
This issue has been addressed in the following products:

  Red Hat Quay 3

Via RHSA-2021:0050 https://access.redhat.com/errata/RHSA-2021:0050

Comment 8 Product Security DevOps Team 2021-01-11 12:27:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27832


Note You need to log in before you can comment on or make changes to this bug.